msgpack::adaptor::convert< unsigned char[N]> Struct Template Reference

`#include <carray.hpp>`

## Public Member Functions

msgpack::object const & | operator() (msgpack::object const &o, unsigned char(&v)[N]) const

## Member Function Documentation

## operator()()

template<std::size_t N>

msgpack::object const& msgpack::adaptor::convert< unsigned char[N]>::operator() | ( | msgpack::object const & | o,
|  | unsigned char(&) | v[N]
| ) |  | const

inline

References msgpack::type::BIN, msgpack::object::union_type::bin, msgpack::object_str::ptr, msgpack::object_bin::ptr, msgpack::object_str::size, msgpack::object_bin::size, msgpack::type::STR, msgpack::object::union_type::str, msgpack::object::type, and msgpack::object::via.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/carray.hpp